Debian Bug report logs - #625812
syslinux: use Digest::SHA for utils/sha1pass and drop Dependency on libdigest-sha1-perl

version graph

Package: src:syslinux; Maintainer for src:syslinux is Daniel Baumann <mail@daniel-baumann.ch>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Fri, 6 May 2011 07:39:02 UTC

Severity: normal

Tags: patch

Found in version syslinux/2:4.03+dfsg-12

Fixed in version syslinux/2:4.04+dfsg-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#625812; Package src:syslinux. (Fri, 06 May 2011 07:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>. (Fri, 06 May 2011 07:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: syslinux: use Digest::SHA for utils/sha1pass and drop Dependency on libdigest-sha1-perl
Date: Fri, 06 May 2011 09:35:05 +0200
[Message part 1 (text/plain, inline)]
Source: syslinux
Version: 2:4.03+dfsg-12
Severity: normal
Tags: patch

Hi

We from the Debian Perl Group would like to drop libdigest-sha1-perl
at some point, see [1]. Most of the functionality (except
sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
Switching from Digest::SHA1 to Digest::SHA should be in principle as
easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://deb.li/digestsha

syslinux ships sha1pass, which uses Digest::SHA1. Could you patch it
(and forward upstream) to use Digest::SHA instead which will allow to
drop the libdigest-sha1-perl Depends?

Thanks in advance.

Bests,
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
[use-Digest-SHA.patch (text/x-diff, attachment)]

Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Mon, 16 May 2011 12:39:00 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Mon, 16 May 2011 12:39:00 GMT) Full text and rfc822 format available.

Message #10 received at 625812-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 625812-close@bugs.debian.org
Subject: Bug#625812: fixed in syslinux 2:4.04+dfsg-1
Date: Mon, 16 May 2011 12:34:37 +0000
Source: syslinux
Source-Version: 2:4.04+dfsg-1

We believe that the bug you reported is fixed in the latest version of
syslinux, which is due to be installed in the Debian FTP archive:

extlinux_4.04+dfsg-1_i386.deb
  to main/s/syslinux/extlinux_4.04+dfsg-1_i386.deb
syslinux-common_4.04+dfsg-1_all.deb
  to main/s/syslinux/syslinux-common_4.04+dfsg-1_all.deb
syslinux_4.04+dfsg-1.debian.tar.gz
  to main/s/syslinux/syslinux_4.04+dfsg-1.debian.tar.gz
syslinux_4.04+dfsg-1.dsc
  to main/s/syslinux/syslinux_4.04+dfsg-1.dsc
syslinux_4.04+dfsg-1_i386.deb
  to main/s/syslinux/syslinux_4.04+dfsg-1_i386.deb
syslinux_4.04+dfsg.orig.tar.gz
  to main/s/syslinux/syslinux_4.04+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625812@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel.baumann@progress-technologies.net> (supplier of updated syslinux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 16 May 2011 09:44:07 +0200
Source: syslinux
Binary: syslinux extlinux syslinux-common
Architecture: source i386 all
Version: 2:4.04+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Changed-By: Daniel Baumann <daniel.baumann@progress-technologies.net>
Description: 
 extlinux   - collection of boot loaders (ext2/3/4 and btrfs bootloader)
 syslinux   - collection of boot loaders
 syslinux-common - collection of boot loaders (common files)
Closes: 614686 618442 621022 625812
Changes: 
 syslinux (2:4.04+dfsg-1) unstable; urgency=low
 .
   * Merging upstream version 4.04+dfsg.
   * Removing pxelinux.patch, included upstream.
   * Updating to standards version 3.9.2.
   * Updating year in copyright file.
   * Correcting MBR size to the actual value (440), thanks to Kolja Nowak
     <kolja@nowak2000.de> (Closes: #614686).
   * Skipping files matching '^initrd.*' from automatically being added
     as memdisk entries (Closes: #618442).
   * Adding Danish debconf translations from Joe Hansen
     <joedalton2@yahoo.dk> (Closes: #621022).
   * Adding isolinux quiet flavour.
   * Adding patch from Salvatore Bonaccorso <carnil@debian.org> to use
     use Digest::SHA for utils/sha1pass (Closes: #625812).
   * Updating recommends on libdigest-sha-perl.
   * Disabling diag/geodsp temporariily, it currently fails to build.
Checksums-Sha1: 
 d606e0c5c4232e673af2bf68eef6fafcc418ed65 1218 syslinux_4.04+dfsg-1.dsc
 3089aee4900339de246eb9bc8e5e527981d4985a 6308768 syslinux_4.04+dfsg.orig.tar.gz
 b963cf7a29b00d22209c02ab01043fb67cda49fd 31224 syslinux_4.04+dfsg-1.debian.tar.gz
 d6fa9db20cd0114c627bae3cd61d6e356e64527a 95068 syslinux_4.04+dfsg-1_i386.deb
 05c30641e38ad230b6bbeb2d8a0b4e00036cac37 116254 extlinux_4.04+dfsg-1_i386.deb
 f6de179db4f83a59ed2eee924c424ac1f2a2ee8e 1421122 syslinux-common_4.04+dfsg-1_all.deb
Checksums-Sha256: 
 42e8f0ee192315b020091dc5eef8b8b5de64e18ee4973bf29d4974bafded4859 1218 syslinux_4.04+dfsg-1.dsc
 d4c794b1a68e8fd0b6915f255eed00ecaa7e425d75361074d462fc7ae0f55632 6308768 syslinux_4.04+dfsg.orig.tar.gz
 547b119a879f5cafc6d627f3e5425610827f7d8ea6f24a99d663a86a5a423371 31224 syslinux_4.04+dfsg-1.debian.tar.gz
 7682dd96c810aa39d121d20e3e4b0d5ff05f576e518cf48d5ef4e900faf0a464 95068 syslinux_4.04+dfsg-1_i386.deb
 9ab0a9b6c8924e95239830ddf6f4ea8c684dc5107e7b70458a3e93be71c2f934 116254 extlinux_4.04+dfsg-1_i386.deb
 ac76cdd83dc009afd42a79e966f9eab49ccae87277bc79623fa62958b1701408 1421122 syslinux-common_4.04+dfsg-1_all.deb
Files: 
 457b5336f1651a42252e2e830d123dd6 1218 utils optional syslinux_4.04+dfsg-1.dsc
 d1496f8265535a982da3785ce94d94e0 6308768 utils optional syslinux_4.04+dfsg.orig.tar.gz
 f139e26e641a8a8b0b27f68bb1128104 31224 utils optional syslinux_4.04+dfsg-1.debian.tar.gz
 3bed5241f5919b9702d7d5ccce3eb2f0 95068 utils optional syslinux_4.04+dfsg-1_i386.deb
 82ad72d28e61429d1bbbb4ada6720157 116254 utils optional extlinux_4.04+dfsg-1_i386.deb
 8fa8791f7433991be35d16dccf4502c8 1421122 utils optional syslinux-common_4.04+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3RFcoACgkQ+C5cwEsrK54VxwCeIRVsyvgt++HL9RhSudBUDZb9
w8kAoIRWijMxoYF1LFrsXLoX0BVAqkyX
=Usb3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Jul 2011 07:33:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:30:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.